Subject: Re: bug#39134: 28.0.50; forward-sexp fails on curved singlequotes

From: Eli Zaretskii <[email-masked]>
Date: Tue, 14 Jan 2020 18:20:44 +0200

> Cc: [email-masked]
> From: Andreas Röhler <[email-masked]>
> Date: Tue, 14 Jan 2020 17:06:54 +0100
> 
> >> "M-x forward-sexp RET". Cursor stops at dot, but should go until Char: ’
> >> (8217, #o20031, #x2019)
> > Why do you think it should go until ’ ?
> 
> 
> Consider it a balanced expression closed by that char.

I'm not sure I understand how that makes sense in a buffer not in Lisp
mode, but maybe I'm missing something.